# Update an asset Patch an Asset Endpoint: PATCH /assets/{id} Version: 2.0.0 Security: bearerToken ## Path parameters: - `id` (string, required) The unique ID of the Asset ## Request fields (application/json): - `currentAssetFileId` (string,null) The ID of the current [AssetFile](#operation/getAssetFiles) Example: "e2b03444-8c5d-44ed-bd9f-7eee882bdf81" ## Response 4XX fields (application/json): - `timestamp` (string) The datetime that the error occurred in ISO offset format Example: "2021-02-16T16:21:58.640+00:00" - `status` (integer) The HTTP status code of the error Example: 401 - `error` (string) The title of the error Example: "Unauthorized" - `message` (string) A more detailed error message - `path` (string) The path that was called which led to the error Example: "/folder-settings" ## Response 204 fields